package com.xhkjedu.sstudy.mapper.question;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.question.TQuestionPoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface QuestionPointMapper extends TkMapper<TQuestionPoint> {
    /**
     * 删除试题关联知识点信息
     * @Param [questionid]
     * @Author ywx
     * @Date 2020/6/8 8:52
     * @return java.lang.Integer
     **/
    Integer deleteByQuestionId(@Param("questionid") String questionid);

    void batchSave(@Param("list") List<TQuestionPoint> questionPoints);

    List<Map> listPointsByQuestionid(@Param("questionid") String questionid);

    //试题关联知识点
    List<Map> listQuestionPoints(@Param("questionids") List<String> questionids);
}
